/* ANIMATION */

.animate {
    -webkit-animation-duration: 0.3s;
    animation-duration: 0.3s;

    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@-webkit-keyframes fadeIn {
    0% {
        -webkit-opacity: 0;
    }

    100% {
        -webkit-opacity: 1;
    }
}

@keyframes slideInVertical {
    0% {
        transform: translateY(1rem);
        opacity: 0;
    }

    100% {
        opacity: 1;
    }

    0% {
        transform: translateY(1rem);
        opacity: 0;
    }
}

@-webkit-keyframes slideInVertical {
    0% {
        -webkit-transform: translateY(1rem);
        -webkit-opacity: 0;
    }

    100% {
        -webkit-opacity: 1;
    }

    0% {
        -webkit-transform: translateY(1rem);
        -webkit-opacity: 0;
    }
}

.slideInVertical {
    -webkit-animation-name: slideInVertical;
    animation-name: slideInVertical;
}

@keyframes slideInHorizontal {
    0% {
        transform: translateX(-100%);
        opacity: 0;
    }

    100% {
        opacity: 1;
    }

    0% {
        transform: translateX(-100%);
        opacity: 0;
    }
}

@-webkit-keyframes slideInHorizontal {
    0% {
        -webkit-transform: translateX(-100%);
        -webkit-opacity: 0;
    }

    100% {
        -webkit-opacity: 1;
    }

    0% {
        -webkit-transform: translateX(-100%);
        -webkit-opacity: 0;
    }
}

.slideInHorizontal {
    -webkit-animation-name: slideInHorizontal;
    animation-name: slideInHorizontal;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }

    0% {
        opacity: 0;
    }
}

@-webkit-keyframes fadeIn {
    0% {
        -webkit-opacity: 0;
    }

    100% {
        -webkit-opacity: 1;
    }

    0% {
        -webkit-opacity: 0;
    }
}

.fadeInAnimation {
    -webkit-animation-name: fadeIn;
    animation-name: fadeIn;
}